Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.inference.dig.translator
Interface DIGVocabulary.Ask

Enclosing interface:
  DIGVocabulary

    public static interface DIGVocabulary.Ask

Supported ask operations/queries

Field Summary
`static String` | `ALL_CONCEPT_NAMES`
`static String` | `ALL_INDIVIDUALS`
`static String` | `ALL_ROLE_NAMES`
`static String` | `ANCESTORS`
`static String` | `CHILDREN`
`static String` | `DESCENDANTS`
`static String` | `DISJOINT`
`static String` | `EQUIVALENT`
`static String` | `INSTANCE`
`static String` | `INSTANCES`
`static String` | `PARENTS`
`static String` | `R_ANCESTORS`
`static String` | `R_CHILDREN`
`static String` | `R_DESCENDANTS`
`static String` | `R_PARENTS`
`static String` | `RELATED_INDIVIDUALS`
`static String` | `ROLE_FILLERS`
`static String` | `SATISFIABLE`
`static String` | `SUBSUMES`
`static String` | `TOLD_VALUES`
`static String` | `TYPES`
`static String` | `UNIQUE_NAME_ASSUMPTION`
`static String` | `VALUES`

Field Detail

### ALL_CONCEPT_NAMES

    static final String ALL_CONCEPT_NAMES

See Also:
  Constant Field Values

### ALL_ROLE_NAMES

    static final String ALL_ROLE_NAMES

See Also:
  Constant Field Values

### ALL_INDIVIDUALS

    static final String ALL_INDIVIDUALS

See Also:
  Constant Field Values

### SATISFIABLE

    static final String SATISFIABLE

See Also:
  Constant Field Values

### SUBSUMES

    static final String SUBSUMES

See Also:
  Constant Field Values

### PARENTS

    static final String PARENTS

See Also:
  Constant Field Values

### CHILDREN

    static final String CHILDREN

See Also:
  Constant Field Values

### ANCESTORS

    static final String ANCESTORS

See Also:
  Constant Field Values

### DESCENDANTS

    static final String DESCENDANTS

See Also:
  Constant Field Values

### EQUIVALENT

    static final String EQUIVALENT

See Also:
  Constant Field Values

### R_PARENTS

    static final String R_PARENTS

See Also:
  Constant Field Values

### R_CHILDREN

    static final String R_CHILDREN

See Also:
  Constant Field Values

### R_ANCESTORS

    static final String R_ANCESTORS

See Also:
  Constant Field Values

### R_DESCENDANTS

    static final String R_DESCENDANTS

See Also:
  Constant Field Values

### INSTANCES

    static final String INSTANCES

See Also:
  Constant Field Values

### TYPES

    static final String TYPES

See Also:
  Constant Field Values

### ROLE_FILLERS

    static final String ROLE_FILLERS

See Also:
  Constant Field Values

### VALUES

    static final String VALUES

See Also:
  Constant Field Values

### RELATED_INDIVIDUALS

    static final String RELATED_INDIVIDUALS

See Also:
  Constant Field Values

### TOLD_VALUES

    static final String TOLD_VALUES

See Also:
  Constant Field Values

### INSTANCE

    static final String INSTANCE

See Also:
  Constant Field Values

### UNIQUE_NAME_ASSUMPTION

    static final String UNIQUE_NAME_ASSUMPTION

See Also:
  Constant Field Values

### DISJOINT

    static final String DISJOINT

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.